Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

automatically generate gemspec via rake

  • Loading branch information...
commit 121aeaade0c61595fc5bfa4aca38e1cacbbbe4bc 1 parent 23eb838
@sferik authored
Showing with 73 additions and 174 deletions.
  1. +27 −0 Rakefile
  2. +1 −0  VERSION
  3. +0 −144 doc/working-gems.txt
  4. +45 −30 racket.gemspec
View
27 Rakefile
@@ -0,0 +1,27 @@
+require 'rubygems'
+require 'rake'
+require 'rake/rdoctask'
+
+GEM_NAME = "racket"
+AUTHORS = ["John Manoogian III", "Erik Michaels-Ober"]
+EMAIL = "jm3@jm3.net"
+HOMEPAGE = "http://github.com/jm3/racket"
+SUMMARY = "Listen to your app."
+
+begin
+ require 'jeweler'
+ Jeweler::Tasks.new do |gemspec|
+ gemspec.name = GEM_NAME
+ gemspec.summary = SUMMARY
+ gemspec.description = gemspec.summary
+ gemspec.authors = AUTHORS
+ gemspec.email = EMAIL
+ gemspec.homepage = HOMEPAGE
+ gemspec.bindir = "bin"
+ gemspec.executables = ["racket"]
+ gemspec.default_executable = "racket"
+ end
+ Jeweler::GemcutterTasks.new
+rescue LoadError
+ puts "Jeweler not available. Install it with: gem install jeweler"
+end
View
1  VERSION
@@ -0,0 +1 @@
+0.0.3
View
144 doc/working-gems.txt
@@ -1,144 +0,0 @@
-abstract (1.0.0)
-actionmailer (2.3.4, 2.3.3)
-actionpack (2.3.4, 2.3.3, 1.13.6)
-actionwebservice (1.2.6)
-activerecord (2.3.4, 2.3.3, 1.15.6)
-activeresource (2.3.4, 2.3.3)
-activesupport (2.3.4, 2.3.3, 1.4.4)
-addressable (2.1.0, 2.0.2)
-builder (2.1.2)
-capistrano (2.5.8)
-capistrano-ext (1.2.1)
-cgi_multipart_eof_fix (2.5.0)
-chriseppstein-compass (0.8.17)
-configuration (0.0.5)
-couchrest (0.33)
-crack (0.1.4)
-cucumber (0.3.98, 0.3.97)
-curb (0.5.1.0)
-daemons (1.0.10)
-data_objects (0.9.12)
-diff-lcs (1.1.2)
-dm-adjust (0.9.11)
-dm-aggregates (0.9.11)
-dm-ar-finders (0.9.11)
-dm-cli (0.9.11)
-dm-constraints (0.9.11)
-dm-core (0.9.11)
-dm-ferret-adapter (0.9.11)
-dm-is-list (0.9.11)
-dm-is-nested_set (0.9.11)
-dm-is-remixable (0.9.11)
-dm-is-searchable (0.9.11)
-dm-is-state_machine (0.9.11)
-dm-is-tree (0.9.11)
-dm-is-versioned (0.9.11)
-dm-is-viewable (0.9.11)
-dm-migrations (0.9.11)
-dm-more (0.9.11)
-dm-observer (0.9.11)
-dm-querizer (0.9.11)
-dm-rest-adapter (0.9.11)
-dm-serializer (0.9.11)
-dm-shorthand (0.9.11)
-dm-sweatshop (0.9.11)
-dm-tags (0.9.11)
-dm-timestamps (0.9.11)
-dm-types (0.9.11)
-dm-validations (0.9.11)
-do_sqlite3 (0.9.12)
-erector (0.6.7)
-erubis (2.6.5)
-eventmachine (0.12.8)
-eventmachine_httpserver (0.1.2, 0.1.1)
-extlib (0.9.12)
-fastthread (1.0.7)
-ferret (0.11.6)
-file-tail (1.0.4)
-gem_plugin (0.2.3)
-gemcutter (0.1.5)
-git (1.2.2)
-god (0.7.16)
-haml (2.2.6, 2.2.3, 2.2.2)
-heroku (1.1)
-highline (1.5.1)
-hoe (2.3.3)
-hpricot (0.8.1)
-htmlentities (4.2.0)
-httparty (0.4.4, 0.4.3)
-jnunemaker-twitter (0.6.15)
-json (1.1.9)
-json_pure (1.1.7)
-launchy (0.3.3)
-Lipsiasoft-exception-notifier (1.4)
-madrobby-textorize (0.1.2)
-mailfactory (1.4.0)
-mash (0.0.3)
-merb-action-args (1.0.12)
-merb-assets (1.0.12)
-merb-auth (1.0.12)
-merb-auth-core (1.0.12)
-merb-auth-more (1.0.12)
-merb-auth-slice-password (1.0.12)
-merb-cache (1.0.12)
-merb-core (1.0.12)
-merb-exceptions (1.0.12)
-merb-gen (1.0.12)
-merb-haml (1.0.12)
-merb-helpers (1.0.12)
-merb-mailer (1.0.12)
-merb-more (1.0.12)
-merb-param-protection (1.0.12)
-merb-slices (1.0.12)
-merb_datamapper (1.0.12)
-mime-types (1.16)
-mkrf (0.2.3)
-mongrel (1.1.5)
-mysql (2.8.1)
-needle (1.3.0)
-net-scp (1.0.2)
-net-sftp (2.0.2)
-net-ssh (2.0.15)
-net-ssh-gateway (1.0.1)
-nokogiri (1.3.3)
-oauth (0.3.5)
-open4 (0.9.6)
-ParseTree (3.0.4)
-polyglot (0.2.8)
-progressbar (0.0.3)
-rack (1.0.0)
-rails (2.3.4, 2.3.3)
-rak (0.9)
-rake (0.8.7)
-randexp (0.1.4)
-rdoc (2.4.3)
-rest-client (1.0.3)
-rmagick (2.11.0)
-rspec (1.2.8)
-ruby-hmac (0.3.2)
-ruby-opengl (0.60.1)
-ruby-stemmer (0.5.3)
-ruby2ruby (1.2.4)
-ruby_parser (2.0.4)
-rubyforge (1.0.4)
-rubygems-update (1.3.5)
-RubyInline (3.8.3)
-rubysdl (2.1.0)
-screw-unit-server (0.5.3)
-Selenium (1.1.14)
-selenium-client (1.2.16)
-sexp_processor (3.0.3)
-sqlite3-ruby (1.2.5)
-stemmer (1.0.1)
-technicalpickles-jeweler (1.2.1)
-templater (1.0.0, 0.5.0)
-term-ansicolor (1.0.4)
-termios (0.9.4)
-thin (1.2.2)
-thor (0.9.9)
-tmm1-amqp (0.6.4)
-treetop (1.4.2, 1.3.0)
-twitter4r (0.3.1)
-wirble (0.1.3)
-yajl-ruby (0.6.3, 0.6.1)
-ZenTest (4.1.4)
View
75 racket.gemspec
@@ -1,42 +1,57 @@
-spec = Gem::Specification.new do |s|
- s.version = "0.0.3"
- s.date = %q{2009-11-20}
+# Generated by jeweler
+# DO NOT EDIT THIS FILE DIRECTLY
+# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
+# -*- encoding: utf-8 -*-
- s.name = "racket"
- s.author = "John Manoogian III"
- s.summary = "listen to your app"
- s.description = s.summary + "."
- s.email = "jm3@jm3.net"
- s.homepage = "http://jm3.net/"
- s.files = ["bin/racket", "bin/event_simulator"]
- s.rubygems_version = %q{1.3.5}
- s.rubyforge_project = "your-mom"
+Gem::Specification.new do |s|
+ s.name = %q{racket}
+ s.version = "0.0.3"
- s.bindir = "bin"
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["John Manoogian III", "Erik Michaels-Ober"]
+ s.date = %q{2009-11-21}
+ s.default_executable = %q{racket}
+ s.description = %q{Listen to your app.}
+ s.email = %q{jm3@jm3.net}
s.executables = ["racket"]
- s.default_executable = "racket"
-
- s.platform = Gem::Platform::RUBY
- s.has_rdoc = false
- s.extra_rdoc_files = ["README.markdown"]
+ s.extra_rdoc_files = [
+ "README.markdown"
+ ]
+ s.files = [
+ ".gitignore",
+ "README.markdown",
+ "bin/event_simulator",
+ "bin/racket",
+ "doc/rubysdl.rb",
+ "install_dependencies.sh",
+ "racket.gemspec",
+ "sounds/bing-bong.wav",
+ "sounds/notify_cardinal1.aiff",
+ "sounds/notify_cardinal2.aiff",
+ "sounds/notify_original.aiff",
+ "sounds/notify_robin.aiff",
+ "sounds/phasing-bendy-bells.wav",
+ "sounds/savage.wav",
+ "sounds/skwlechy.wav",
+ "sounds/squeaks.wav",
+ "sounds/tiny-bubbles.mp3",
+ "sounds/winding-weird-loop.wav",
+ "ssh.rb"
+ ]
+ s.homepage = %q{http://github.com/jm3/racket}
+ s.rdoc_options = ["--charset=UTF-8"]
+ s.require_paths = ["lib"]
+ s.rubygems_version = %q{1.3.5}
+ s.summary = %q{Listen to your app.}
if s.respond_to? :specification_version then
current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
-
- if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new("1.2.0") then
- s.add_runtime_dependency("curb", [">= 0.5.1.0"])
- s.add_runtime_dependency("moneta", [">= 0.6.0"])
- s.add_runtime_dependency("progressbar", [">= 0.0.3"])
+
+ if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
else
- s.add_dependency("curb", [">= 0.5.1.0"])
- s.add_dependency("moneta", [">= 0.6.0"])
- s.add_dependency("progressbar", [">= 0.0.3"])
end
else
- s.add_dependency("curb", [">= 0.5.1.0"])
- s.add_dependency("moneta", [">= 0.6.0"])
- s.add_dependency("progressbar", [">= 0.0.3"])
end
-
end
+
Please sign in to comment.
Something went wrong with that request. Please try again.